OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.Sync

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSync :: MonadIO m => m Bool
- gl_ARB_sync :: Bool
- gl_ALREADY_SIGNALED :: GLenum
- gl_CONDITION_SATISFIED :: GLenum
- gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum
- gl_OBJECT_TYPE :: GLenum
- gl_SIGNALED :: GLenum
- gl_SYNC_CONDITION :: GLenum
- gl_SYNC_FENCE :: GLenum
- gl_SYNC_FLAGS :: GLenum
- gl_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield
- gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum
- gl_SYNC_STATUS :: GLenum
- gl_TIMEOUT_EXPIRED :: GLenum
- gl_TIMEOUT_IGNORED :: GLuint64
- gl_UNSIGNALED :: GLenum
- gl_WAIT_FAILED :: GLenum
- glClientWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m GLenum
- glDeleteSync :: MonadIO m => GLsync -> m ()
- glFenceSync :: MonadIO m => GLenum -> GLbitfield -> m GLsync
- glGetInteger64v :: MonadIO m => GLenum -> Ptr GLint64 -> m ()
- glGetSynciv :: MonadIO m => GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> m ()
- glIsSync :: MonadIO m => GLsync -> m GLboolean
- glWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m ()

# Extension Support

glGetARBSync :: MonadIO m => m Bool

Is the ARB_sync extension supported?

gl_ARB_sync :: Bool

Is the ARB_sync extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSync` in those cases instead.

# Enums

gl_ALREADY_SIGNALED :: GLenum

gl_CONDITION_SATISFIED :: GLenum

gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum

gl_OBJECT_TYPE :: GLenum

gl_SIGNALED :: GLenum

gl_SYNC_CONDITION :: GLenum

gl_SYNC_FENCE :: GLenum

gl_SYNC_FLAGS :: GLenum

gl_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield

gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum

gl_SYNC_STATUS :: GLenum

gl_TIMEOUT_EXPIRED :: GLenum

gl_TIMEOUT_IGNORED :: GLuint64

gl_UNSIGNALED :: GLenum

gl_WAIT_FAILED :: GLenum

# Functions

glClientWaitSync

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags`.
-> GLuint64 | `timeout`.
-> m GLenum |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteSync

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFenceSync

Arguments

:: MonadIO m |
=> GLenum | `condition`.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetInteger64v

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLint64 | `data` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSynciv

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLenum | `pname`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `values` pointing to `bufSize` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsSync

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glWaitSync

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags`.
-> GLuint64 | `timeout`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.